Xalan-Java 2.7.1: Interface HTMLIFrameElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLIFrameElement

public interface HTMLIFrameElement
extends HTMLElement

Inline subwindows. See the IFRAME element definition in HTML 4.0.

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getFrameBorder()` Request frame borders.
`java.lang.String` | `getHeight()` Frame height.
`java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` | `getMarginHeight()` Frame margin height, in pixels.
`java.lang.String` | `getMarginWidth()` Frame margin width, in pixels.
`java.lang.String` | `getName()` The frame name (object of the `target` attribute).
`java.lang.String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
`java.lang.String` | `getSrc()` A URI designating the initial frame contents.
`java.lang.String` | `getWidth()` Frame width.
`void` | `setAlign(java.lang.String align)`
`void` | `setFrameBorder(java.lang.String frameBorder)`
`void` | `setHeight(java.lang.String height)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setMarginHeight(java.lang.String marginHeight)`
`void` | `setMarginWidth(java.lang.String marginWidth)`
`void` | `setName(java.lang.String name)`
`void` | `setScrolling(java.lang.String scrolling)`
`void` | `setSrc(java.lang.String src)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAlign

    public java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getFrameBorder

    public java.lang.String getFrameBorder()

  Request frame borders. See the frameborder attribute definition in HTML 4.0.

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

### getHeight

    public java.lang.String getHeight()

  Frame height. See the height attribute definition in HTML 4.0.

### setHeight

    public void setHeight(java.lang.String height)

### getLongDesc

    public java.lang.String getLongDesc()

  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

### getMarginHeight

    public java.lang.String getMarginHeight()

  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

### getMarginWidth

    public java.lang.String getMarginWidth()

  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

### getName

    public java.lang.String getName()

  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getScrolling

    public java.lang.String getScrolling()

  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

### setScrolling

    public void setScrolling(java.lang.String scrolling)

### getSrc

    public java.lang.String getSrc()

  A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(java.lang.String src)

### getWidth

    public java.lang.String getWidth()

  Frame width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.